"use strict";
/* eslint-disable @typescript-eslint/no-unsafe-member-access, @typescript-eslint/explicit-module-boundary-types */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPromise = exports.isErrorObj = void 0;
function isErrorObj(err) {
    if (!err)
        return false;
    if (err instanceof Error)
        return true;
    return err && typeof err.message === 'string' && typeof err.stack === 'string';
}
exports.isErrorObj = isErrorObj;
function isPromise(value) {
    if (!value)
        return false;
    if (value instanceof Promise)
        return true;
    return value && typeof value.then === 'function';
}
exports.isPromise = isPromise;
//# sourceMappingURL=utils.js.map